diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
index 5ff75bab..82b7ba5a 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
@@ -389,8 +389,9 @@ define('pgadmin.node.tablespace', [
             || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
             msg = gettext('Name cannot be empty.');
             this.errorModel.set('name', msg);
-          } else if (_.isUndefined(this.get('spclocation'))
-              || String(this.get('spclocation')).replace(/^\s+|\s+$/g, '') == '') {
+          } else if (this.isNew() &&
+            (_.isUndefined(this.get('spclocation'))
+              || String(this.get('spclocation')).replace(/^\s+|\s+$/g, '') == '')) {
             msg = gettext('Location cannot be empty.');
             this.errorModel.set('spclocation', msg);
             this.errorModel.unset('name');
diff --git a/web/pgadmin/browser/server_groups/servers/templates/macros/variable.macros b/web/pgadmin/browser/server_groups/servers/templates/macros/variable.macros
index 858cea9e..385f9727 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/macros/variable.macros
+++ b/web/pgadmin/browser/server_groups/servers/templates/macros/variable.macros
@@ -16,13 +16,11 @@ ALTER {% if role %}ROLE {{ self.conn|qtIdent(role) }}{% if database %} IN DATABA
 {################################################}
 {% macro SET(conn, object_type, object_name, options) -%}
 ALTER {{object_type}} {{ conn|qtIdent(object_name) }}
-
     SET ({% for opt in options %}{% if loop.index != 1 %}
 , {% endif %}{{ conn|qtIdent(opt.name) }}={{ opt.value }}{% endfor %});
 {%- endmacro %}
 {% macro UNSET(conn, object_type, object_name, options) -%}
 ALTER {{object_type}} {{ conn|qtIdent(object_name) }}
-
     RESET ({% for opt in options %}{% if loop.index != 1 %}
 , {% endif %}{{ conn|qtIdent(opt.name) }}{% endfor %});
-{%- endmacro %}
\ No newline at end of file
+{%- endmacro %}
